> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/tickets/reference/objects/reply-note-creator.md).

# Reply/Note Creator

#### **Example**

```json
{
    "email": "bill_smith@gmail.com",
    "name": "Bill Smith"
}
```

#### Fields

| Field            | Type   | Comments                                                                                                                                                                                                                                                                                                            |
| ---------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| customIdentifier | string | Alternative user identifier (e.g., social security number, account number). Can be used instead of `email` when creating replies. Not supported when this object is used to create notes. The value is trimmed and stored in lowercase, so responses may return it in a different case than provided in the request |
| email            | string | Creator email address                                                                                                                                                                                                                                                                                               |
| name             | string | Creator name. Typically used as the user name if the user does not exist                                                                                                                                                                                                                                            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/objects/reply-note-creator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
